﻿
@{
    ViewBag.Title = "ChangePassword";
    Layout = "~/Views/Shared/_LoginTemplate.cshtml";
}

<section class="ftco-section">
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-7 col-lg-5">
                <div class="login-wrap p-4 p-md-5">
                    <div class="icon d-flex align-items-center justify-content-center bg-success">
                        <i class="fas fa-lock"></i>
                    </div>
                    <h3 class="text-center mb-4">Change Password</h3>
                    <form id="login-form">
                        <div class="card-body">
                            <div class="form-group">
                                <label for="exampleInputEmail1">Current Password</label>
                                <input type="text" name="CurrentPassword" class="form-control" id="CurrentPassword" placeholder="Enter your current password" required>
                            </div>
                            <div class="form-group">
                                <label for="exampleInputPassword1">New Password</label>
                                <input type="password" name="NewPassword" class="form-control btn-block" id="NewPassword" placeholder="Enter new password" required>
                            </div>
                            <div class="form-group">
                                <label for="exampleInputPassword1">Confirm Password</label>
                                <input type="password" name="ConfirmPassword" class="form-control btn-block" id="ConfirmPassword" placeholder="Reentry new password" required>
                            </div>
                        </div>
                        <button type="submit" class="btn btn-success btn-block">save</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
</section>

@section scripts
{
    <script>
        var RETURNURL = "https://localhost:44334/LoginPage/Logout";
        $("#login-form").submit(function (event) {
            event.preventDefault();
            $.ajax({
                url: "ChangePassword",
                type: "post",
                dataType: "json",
                data: $(this).serialize(),
                success: function (data) {
                    if (data.metaData.code == 200) {
                        messageSuccess(data.metaData.message, RETURNURL);
                    } else {
                        $('#modalAddUser').modal('hide');
                        messageFailed(data.metaData.message);
                    }
                },
                error: function (result) {
                    console.log("error", result);
                    messageFailed(data.metaData.message);
                }
            });
        });
    </script>
}
